summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2013-06-30 22:09:57 +0200
committer Erik Hanson2013-06-30 22:09:57 +0200
commitc10df1cb0cdba9d4bb05bdffbf4747a481b06063 (patch)
treeaa17cc52769014d265c150b5bdfa7eb3615bb50d /academic
parent697a4c02f6763e98200e8f905e9cf65f85b09d04 (diff)
downloadslackbuilds-c10df1cb0cdba9d4bb05bdffbf4747a481b06063.tar.gz
academic/mkDSSP: Added (A program that calculates DSSP entries from PDB entries)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/mkDSSP/README16
-rw-r--r--academic/mkDSSP/References10
-rw-r--r--academic/mkDSSP/makefile.patch76
-rw-r--r--academic/mkDSSP/mkDSSP.SlackBuild109
-rw-r--r--academic/mkDSSP/mkDSSP.info10
-rw-r--r--academic/mkDSSP/slack-desc19
-rw-r--r--academic/mkDSSP/thread_include.patch23
7 files changed, 263 insertions, 0 deletions
diff --git a/academic/mkDSSP/README b/academic/mkDSSP/README
new file mode 100644
index 0000000000..e5eea2580f
--- /dev/null
+++ b/academic/mkDSSP/README
@@ -0,0 +1,16 @@
+The DSSP program was designed by Wolfgang Kabsch and Chris Sander to
+standardize secondary structure assignment. DSSP is a database of
+secondary structure assignments (and much more) for all protein
+entries in the Protein Data Bank (PDB).
+
+DSSP is also the program that calculates DSSP entries from PDB entries.
+DSSP does not predict secondary structure.
+
+If you use DSSP, please quote:
+Dictionary of protein secondary structure: pattern recognition of
+hydrogen-bonded and geometrical features. Kabsch W, Sander C,
+Biopolymers. 1983 22 2577-2637
+
+A series of PDB related databases for everyday needs. Joosten RP, Te
+Beek TAH, Krieger E, Hekkelman ML, Hooft RWW, Schneider R, Sander C,
+Vriend G, NAR 2010
diff --git a/academic/mkDSSP/References b/academic/mkDSSP/References
new file mode 100644
index 0000000000..052633cece
--- /dev/null
+++ b/academic/mkDSSP/References
@@ -0,0 +1,10 @@
+If you use DSSP, please quote:
+
+Dictionary of protein secondary structure: pattern recognition of
+hydrogen-bonded and geometrical features. Kabsch W, Sander C,
+Biopolymers. 1983 22 2577-2637. PMID: 6667333; UI: 84128824.
+
+A series of PDB related databases for everyday needs. Joosten RP, Te
+Beek TAH, Krieger E, Hekkelman ML, Hooft RWW, Schneider R, Sander C,
+Vriend G, NAR 2010; doi: 10.1093/nar/gkq1105.
+http://swift.cmbi.ru.nl/gv/facilities/HTML/facilities.pdf
diff --git a/academic/mkDSSP/makefile.patch b/academic/mkDSSP/makefile.patch
new file mode 100644
index 0000000000..f50f53a426
--- /dev/null
+++ b/academic/mkDSSP/makefile.patch
@@ -0,0 +1,76 @@
+Description: assorted fixes
+ [Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>]
+ * DEST_DIR patched to DESTDIR
+ .
+ [Laszlo Kajan <lkajan@rostlab.org>]
+ * stripping is patched out so that it can be done by dh into a debug package
+ * line echo suppression is removed
+ * spelling errors in man page fixed
+ .
+ Upstream is aware of this patch.
+Author: Maarten L. Hekkelman <m.hekkelman@cmbi.ru.nl>
+Author: Laszlo Kajan <lkajan@rostlab.org>
+--- a/makefile
++++ b/makefile
+@@ -11,18 +11,16 @@
+
+ all: mkdssp
+
+-include make.config
+-
+ VERSION = 2.1.0
+
+ DEST_DIR ?= /usr/local
+ LIB_DIR = $(BOOST_LIB_DIR)
+ INC_DIR = $(BOOST_INC_DIR)
+-BIN_DIR = $(DEST_DIR)/bin
+-MAN_DIR = $(DEST_DIR)/man/man1
++BIN_DIR = $(DESTDIR)$(DEST_DIR)/bin
++MAN_DIR = $(DESTDIR)$(DEST_DIR)/share/man/man1
+
+-BOOST_LIBS = thread filesystem program_options iostreams system
+-LIBS = $(BOOST_LIBS:%=boost_%$(BOOST_LIB_SUFFIX)) z bz2
++BOOST_LIBS = thread program_options iostreams system
++LIBS = $(BOOST_LIBS:%=boost_%$(BOOST_LIB_SUFFIX))
+
+ DEFINES = USE_COMPRESSION LINUX VERSION='"$(VERSION)"'
+ CXX = g++
+@@ -49,22 +47,19 @@
+ OBJECTS = $(OBJ_DIR)/mkdssp.o $(OBJ_DIR)/dssp.o $(OBJ_DIR)/primitives-3d.o $(OBJ_DIR)/structure.o $(OBJ_DIR)/utils.o $(OBJ_DIR)/mas.o
+
+ mkdssp: $(OBJECTS)
+- @ echo linking $@
+- @ $(CXX) -static -o $@ $^ $(LDOPTS)
++ $(CXX) -o $@ $^ $(LDOPTS)
+
+-include $(OBJECTS:%.o=%.d)
++-include $(OBJECTS:%.o=%.d)
+
+ $(OBJECTS:.o=.d):
+
+ $(OBJ_DIR):
+- @ mkdir -p $(OBJ_DIR)
++ mkdir -p $(OBJ_DIR)
+
+ $(OBJ_DIR)/%.o: %.cpp | $(OBJ_DIR)
+- @ echo compiling $@
+- @ $(CXX) -MD -c -o $@ $< $(CFLAGS)
++ $(CXX) -MD -c -o $@ $< $(CPPFLAGS) $(CFLAGS)
+
+ clean:
+- install -d $(BIN_DIR) $(MAN_DIR)
+ rm -rf $(OBJ_DIR)/* mkdssp
+
+ install: mkdssp
+@@ -85,11 +80,3 @@
+ @ cp doc/mkdssp.1 $(DIST_NAME)/doc/mkdssp.1
+ tar czf $(DIST_NAME).tgz $(DIST_NAME)
+ cp $(DIST_NAME).tgz dssp_$(VERSION).orig.tar.gz
+-
+-make.config:
+- @echo "creating empty make.config file"
+- @echo "# Set local options for make here" > make.config
+- @echo "#BOOST_LIB_SUFFIX = -mt" >> make.config
+- @echo "#BOOST_LIB_DIR = $(HOME)/projects/boost/lib" >> make.config
+- @echo "#BOOST_INC_DIR = $(HOME)/projects/boost/include" >> make.config
+-
diff --git a/academic/mkDSSP/mkDSSP.SlackBuild b/academic/mkDSSP/mkDSSP.SlackBuild
new file mode 100644
index 0000000000..31b109cb18
--- /dev/null
+++ b/academic/mkDSSP/mkDSSP.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for mkDSSP
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mkDSSP
+SRCNAM=dssp
+VERSION=${VERSION:-2.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tgz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Thanks to Debian for the patches!
+patch -p1 -i $CWD/makefile.patch
+patch -p1 -i $CWD/thread_include.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+BIN_DIR=/usr/bin \
+MAN_DIR=/usr/man/man1 \
+make
+
+make install DEST_DIR=$PKG \
+BIN_DIR=$PKG/usr/bin \
+MAN_DIR=$PKG/usr/man/man1
+
+# Some programs (like aline) expect the binary to be called just "dssp"
+cd $PKG/usr/bin
+ln -s mkdssp dssp
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ changelog LICENSE_1_0.txt README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/mkDSSP/mkDSSP.info b/academic/mkDSSP/mkDSSP.info
new file mode 100644
index 0000000000..3396b9a658
--- /dev/null
+++ b/academic/mkDSSP/mkDSSP.info
@@ -0,0 +1,10 @@
+PRGNAM="mkDSSP"
+VERSION="2.1.0"
+HOMEPAGE="http://swift.cmbi.ru.nl/gv/dssp/"
+DOWNLOAD="ftp://ftp.cmbi.ru.nl/pub/software/dssp/dssp-2.1.0.tgz"
+MD5SUM="950c2563d8cbeed445101d85f5a66ce7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
diff --git a/academic/mkDSSP/slack-desc b/academic/mkDSSP/slack-desc
new file mode 100644
index 0000000000..eefbaea9dc
--- /dev/null
+++ b/academic/mkDSSP/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mkDSSP: mkDSSP (A program that calculates DSSP entries from PDB entries)
+mkDSSP:
+mkDSSP: The DSSP program was designed by Wolfgang Kabsch and Chris Sander
+mkDSSP: to standardize secondary structure assignment. DSSP is a database
+mkDSSP: of secondary structure assignments (and much more) for all protein
+mkDSSP: entries in the Protein Data Bank (PDB). DSSP is also the program
+mkDSSP: that calculates DSSP entries from PDB entries. DSSP does not
+mkDSSP: predict secondary structure.
+mkDSSP:
+mkDSSP: Home: http://swift.cmbi.ru.nl/gv/dssp/
+mkDSSP: References: /usr/doc/mkDSSP:-$VERSION/References
diff --git a/academic/mkDSSP/thread_include.patch b/academic/mkDSSP/thread_include.patch
new file mode 100644
index 0000000000..f0b462b19c
--- /dev/null
+++ b/academic/mkDSSP/thread_include.patch
@@ -0,0 +1,23 @@
+Description: moving boost thread include out of header that does not use it
+ Patch is not yet forwarded upstream.
+Author: Laszlo Kajan <lkajan@rostlab.org>
+--- a/src/utils.h
++++ b/src/utils.h
+@@ -10,7 +10,6 @@
+ #endif
+
+ #include <time.h>
+-#include <boost/thread.hpp>
+ #include <boost/lexical_cast.hpp>
+ #include <boost/format.hpp>
+ #include <boost/filesystem.hpp>
+--- a/src/structure.cpp
++++ b/src/structure.cpp
+@@ -18,6 +18,7 @@
+ #define foreach BOOST_FOREACH
+ #include <boost/algorithm/string.hpp>
+ #include <boost/math/special_functions/round.hpp>
++#include <boost/thread.hpp>
+
+ #include "align-2d.h"
+ #include "utils.h"